Qyra
ReferenceSCIM

Patch user

Patch a user by ID (SCIM PATCH)

PATCH/api/v1/scim/v2/Users/{userUuid}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
userUuidstringYesUUID of the user to patch

Request body

{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:PatchOp"
  ],
  "Operations": [
    {
      "op": "remove",
      "path": "string",
      "value": "string"
    }
  ]
}

Responses

200 — Ok

{
  "schemas": [
    "string"
  ],
  "id": "string",
  "meta": {
    "version": "string",
    "location": "string",
    "lastModified": "2024-01-01T00:00:00.000Z",
    "created": "2024-01-01T00:00:00.000Z",
    "resourceType": "string"
  },
  "userName": "string",
  "name": {
    "familyName": "string",
    "givenName": "string"
  },
  "active": true,
  "emails": [
    {
      "primary": true,
      "value": "string"
    }
  ],
  "roles": [
    {
      "value": "string",
      "display": "string",
      "type": "string",
      "primary": true
    }
  ],
  "urn:qyra:params:scim:schemas:extension:2.0:User": {
    "role": "string"
  }
}

400 — Bad request

{
  "status": "string",
  "detail": "string",
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:Error"
  ],
  "scimType": "invalidFilter"
}

404 — Not found

{
  "status": "string",
  "detail": "string",
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:Error"
  ],
  "scimType": "invalidFilter"
}